gspca, pac207 e kernel 2.6.29.1

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
sardylan
Linux 3.x
Linux 3.x
Messaggi: 993
Iscritto il: mar 24 apr 2007, 9:21
Nome Cognome: Luca Cireddu
Slackware: current 64bits
Kernel: 3.16
Desktop: KDE 4.14
Distribuzione: Debian - CLFS
Località: Cagliari
Contatta:

gspca, pac207 e kernel 2.6.29.1

Messaggio da sardylan »

Ho letto altre volte che qualcuno ha avuto problemi con le webcam che usano gspca insime ai kernel dal 2.6.27 in su...
Io più precisamente ho questa webcam:

Codice: Seleziona tutto

ID 093a:2468 Pixart Imaging, Inc. Cammaestro 2.5DU/X-EYE/Orite SC-120/ICGear TravelCam/Easy Snap Snake Eye Webcam
Si tratta della Trust WB-1400T, ed lsmod da questo output

Codice: Seleziona tutto

Module                  Size  Used by
gspca_pac207            6516  0
gspca_main             20788  1 gspca_pac207
videodev               39776  1 gspca_main
v4l1_compat            12952  1 videodev
Per avviare i programmi, ho installato la libreria libv4l, presente qui sul repository, ed ho modificato i vari file .desktop per usare LD_PRELOAD in questo modo:

Codice: Seleziona tutto

LD_PRELOAD="/usr/lib/libv4l/v4l1compat.so" skype
e tutto ha ripreso a funzionare alla meraviglia... Ho provato sia con skype, che con xawtv (comando webcam) per catturare fotogrammi. L'immagine è fluida e non più a scatti!!

Avatar utente
kasher
Linux 1.x
Linux 1.x
Messaggi: 175
Iscritto il: gio 20 gen 2005, 0:00
Slackware: 12.2
Kernel: 2.6.27.7
Desktop: kde 3.5.10

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da kasher »

grandee sardylan,ora finalmente la web cam nn sarà più solo un fermacarte \:D/ , appena possibile provo la mia, poi ti faccio sapere.

Avatar utente
sardylan
Linux 3.x
Linux 3.x
Messaggi: 993
Iscritto il: mar 24 apr 2007, 9:21
Nome Cognome: Luca Cireddu
Slackware: current 64bits
Kernel: 3.16
Desktop: KDE 4.14
Distribuzione: Debian - CLFS
Località: Cagliari
Contatta:

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da sardylan »

kasher ha scritto:grandee sardylan,ora finalmente la web cam nn sarà più solo un fermacarte \:D/ , appena possibile provo la mia, poi ti faccio sapere.
:thumbright: :thumbright:
Fai sapere se va anche la tua!!! Post l'output di lsusb e dei moduli che usi!!

Avatar utente
mohaa
Linux 1.x
Linux 1.x
Messaggi: 181
Iscritto il: mar 4 mar 2008, 8:52
Slackware: 12.1
Kernel: 3
Desktop: Gnome2
Distribuzione: Gentoo
Località: Francia

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da mohaa »

Agguingere in /etc/profile per un uso system-wide, o un qualsiasi file di configurazione di BASH dell'utente

Codice: Seleziona tutto

export LD_PRELOAD="/usr/lib/libv4l/v4l1compat.so"

NB : devi avere le lib v4l E usare BASH come shell di logni in questo esempio.

Avatar utente
shark1500
Linux 3.x
Linux 3.x
Messaggi: 785
Iscritto il: gio 3 apr 2008, 14:33
Slackware: current
Kernel: 2.6.27.7-smp
Desktop: kde
Località: Modna

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da shark1500 »

Anche a me fa cosi` :-).

Finalmente sono riuscito a riutilizzarla.

Ora pero` c'e` da capire il perche` con i driver del kernel non vada e prima andava :-(

Avatar utente
DanBadJar
Linux 4.x
Linux 4.x
Messaggi: 1027
Iscritto il: ven 28 lug 2006, 19:27
Nome Cognome: Daniele Malavasi
Slackware: 13.1
Kernel: 2.6.34.1
Desktop: XFCE - Gnome
Località: Bologna
Contatta:

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da DanBadJar »

Fatemi capire.
Grazie all'export di quella variabile si riescono a compilare i drivers o funzionano quelli già inclusi nel kernel >=2.6.27 ?
Io sulla mia slack per far funzionare questa benedetta webcam ho downgradato il kernel al 2.6.26.8!

Avatar utente
conraid
Staff
Staff
Messaggi: 13484
Iscritto il: gio 14 lug 2005, 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Desktop: kde
Località: Livorno
Contatta:

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da conraid »

DanBadJar ha scritto:Fatemi capire.
Grazie all'export di quella variabile si riescono a compilare i drivers o funzionano quelli già inclusi nel kernel >=2.6.27 ?
Io sulla mia slack per far funzionare questa benedetta webcam ho downgradato il kernel al 2.6.26.8!
vanno i driver che non andavano.
Con Skype a me anche con il 2.6.27 dava un output verdastro, con LD_PRELOAD si vede bene
Non ho provato con i kernel successivi

Avatar utente
sardylan
Linux 3.x
Linux 3.x
Messaggi: 993
Iscritto il: mar 24 apr 2007, 9:21
Nome Cognome: Luca Cireddu
Slackware: current 64bits
Kernel: 3.16
Desktop: KDE 4.14
Distribuzione: Debian - CLFS
Località: Cagliari
Contatta:

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da sardylan »

Come ha detto Conraid!!!
In pratica funzionavano dalla 2.6.26 in giù, ma con grande utilizzo di processore e con immagine a scatti :)
Invece a partire dalla serie 2.6.27.x, i drivers inclusi nel kernel davano output verdastro ed altri problemi... Con l'aggiunta di LD_PRELOAD funziona tutto bene, e non devi ricompilare niente...

Avatar utente
DanBadJar
Linux 4.x
Linux 4.x
Messaggi: 1027
Iscritto il: ven 28 lug 2006, 19:27
Nome Cognome: Daniele Malavasi
Slackware: 13.1
Kernel: 2.6.34.1
Desktop: XFCE - Gnome
Località: Bologna
Contatta:

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da DanBadJar »

Grazie Sardylan!
L'ho provato e finalmente ora funziona alla grande! \:D/

Avatar utente
corrado
Linux 2.x
Linux 2.x
Messaggi: 218
Iscritto il: dom 13 feb 2005, 0:00
Nome Cognome: corrado
Slackware: current
Kernel: 2.6.29.6-smp
Desktop: kde-4
Località: isola del liri
Contatta:

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da corrado »

mohaa ha scritto:Agguingere in /etc/profile per un uso system-wide, o un qualsiasi file di configurazione di BASH dell'utente

Codice: Seleziona tutto

export LD_PRELOAD="/usr/lib/libv4l/v4l1compat.so"

NB : devi avere le lib v4l E usare BASH come shell di logni in questo esempio.
Ho fatto così ma ottengo:

Codice: Seleziona tutto

ERROR: ld.so: object '/usr/lib/lib4vl/v4l1compat.so' from LD_PRELOAD cannot be preloaded: ignored.
Idee?

Saluti
corrado

Avatar utente
shark1500
Linux 3.x
Linux 3.x
Messaggi: 785
Iscritto il: gio 3 apr 2008, 14:33
Slackware: current
Kernel: 2.6.27.7-smp
Desktop: kde
Località: Modna

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da shark1500 »

corrado ha scritto:Idee?
Hai installato il pacchetto libv4l?

Avatar utente
corrado
Linux 2.x
Linux 2.x
Messaggi: 218
Iscritto il: dom 13 feb 2005, 0:00
Nome Cognome: corrado
Slackware: current
Kernel: 2.6.29.6-smp
Desktop: kde-4
Località: isola del liri
Contatta:

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da corrado »

shark1500 ha scritto:
corrado ha scritto:Idee?
Hai installato il pacchetto libv4l?
Si, scaricato ed installato questa mattina da slacky (0.6.1).

Saluti
corrado

Avatar utente
gohanz
Staff
Staff
Messaggi: 5832
Iscritto il: mar 30 nov 2004, 0:00

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da gohanz »

Grazie del suggerimento, finalmente la webcam funziona alla grande! :thumbright:

Avatar utente
sardylan
Linux 3.x
Linux 3.x
Messaggi: 993
Iscritto il: mar 24 apr 2007, 9:21
Nome Cognome: Luca Cireddu
Slackware: current 64bits
Kernel: 3.16
Desktop: KDE 4.14
Distribuzione: Debian - CLFS
Località: Cagliari
Contatta:

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da sardylan »

Controlla che il path si corretto...
Poi non so.. Ti riferisci alla 12.2 o alla 13.0 ?? Nella 12.2 il path corretto è quello... Nella 13.0 non so sè è cambiato qualcosa..

Avatar utente
corrado
Linux 2.x
Linux 2.x
Messaggi: 218
Iscritto il: dom 13 feb 2005, 0:00
Nome Cognome: corrado
Slackware: current
Kernel: 2.6.29.6-smp
Desktop: kde-4
Località: isola del liri
Contatta:

Re: gspca, pac207 e kernel 2.6.29.1

Messaggio da corrado »

sardylan ha scritto:Controlla che il path si corretto...
Poi non so.. Ti riferisci alla 12.2 o alla 13.0 ?? Nella 12.2 il path corretto è quello... Nella 13.0 non so sè è cambiato qualcosa..
Uso la current (13.0 al momento).

Saluti
corrado

Rispondi